声明:下面操作时root权限直接操作,请注意自己的权限。

一定要注意,Python升级可能导致yum异常。所以后面推荐时链接到Python3操作

如果出现了yum异常。

解决办法:

 #whereis python
 #vim /usr/bin/yum

    把Python后面添加上老版本的版本号。比如我的是2.6

#!/usr/bin/python2.6
import sys
try:
    import yum
except ImportError:
    print >> sys.stderr, """\


1、查看自己的系统版本。6的版本应该问题不是太大。

wKioL1YrMsHwEbo9AABmol-o-zY736.jpg

[root@localhost]# cat /etc/issue


2、下载安装包

 

[root@localhost]# cd  /home/aaa
[root@localhost]# wget -c https://www.python.org/ftp/python/3.5.0/Python-3.5.0.tar.xz


3、解压编译安装

[root@localhost]#  xz -d Python-3.5.0.tar.xz 
[root@localhost]#  tar -zxvf Python-3.5.0.tar
[root@localhost]# cd Python-3.5.0
[root@localhost]#   ./configure
[root@localhost]#  make
[root@localhost]#  make install
[root@localhost]#  ln -s /usr/local/bin/python3 /usr/bin/python3


4、运行和退出

wKiom1YrOr3i3v9XAAF_Xuqgy7U842.jpg

抱歉,截图有点失误。

具体操作修改如下:

    

[root@localhost]#python3


现在,你的电脑有两个版本python,一个2版本,一个3版本。

python就是2版本,python3就是3版本。


5、Python自己的帮助

>>>  help(str)
>>>  help(obj)